function buscarTtransp(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formTtransp.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busTtransp/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblTtransp");
      jsonJS.ttransp.forEach(function(i){
        addRowTtransp(i.tt_cod, i.tt_nom);
      });

      $("#tblTtransp tbody tr").dblclick(function() {
        selectTtransp(a, $(this));
      });

      $("#tblTtransp tbody #btnSelecTtransp").click(function() {
        selectTtransp(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowTtransp(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecTtransp'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblTtransp tbody").append(markup);
}

function selectTtransp(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputCod).val(tr.find("td:eq(0)").text());
    $("#"+inputCod).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblTtransp");
}